> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/compute/vm/disk/attachdisks.md).

# AttachDisks

## 1. 接口描述

本接口(AttachDisks)用于挂载云硬盘到云主机实例。

{% hint style="info" %}
**注意事项**

* 单次最多可挂载**10**块云硬盘。
* 挂载云硬盘的数量不能超过实例可用的最大数量,一般为15块。
* 实例与云硬盘的所在区域必须一致。
* 实例必须处于可用状态（创建中、初始化中等状态均不属于可用状态）。
* 云硬盘必须支持可插拔。
* 本接口为异步接口，当请求成功返回时，云硬盘并未立即挂载，可通过接口[DescribeDisks](/api-reference/cn/compute/vm/disk/describedisks.md)来查询对应云硬盘的状态，如果云硬盘的状态由 **AVAILABLE** 变为 **IN\_USE** ，则为挂载成功。
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称       | 必选 | 类型              | 描述         |
| ---------- | -- | --------------- | ---------- |
| diskIds    | 是  | Array of String | 云硬盘ID集合。   |
| instanceId | 是  | String          | 需要挂载的实例ID。 |

## 3. 响应结果

| 参数名称      | 类型     | 描述                                                       |
| --------- | ------ | -------------------------------------------------------- |
| requestId | String | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 挂载云硬盘到云主机实例。**

```json
POST /api/v2/vm HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: AttachDisks
<Common Request Params>

Request:
{
  "diskIds": [
    "your-disk-id"
  ],
  "instanceId": "your-instance-id"
}

Response:
{
  "requestId": "T425ED37F-1BE5-4274-B068-9A58C51F21A8",
  "response": {
    "requestId": "T425ED37F-1BE5-4274-B068-9A58C51F21A8"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码 | 说明 |
| ------- | --- | -- |
